<?php

if(!defined("MAIL_SUPERV_PATH"))
  define('MAIL_SUPERV_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');

include_once (MAIL_SUPERV_PATH.'include/constants.php');
include_once (MAIL_SUPERV_PATH.'include/fonctions.php');

function plugin_install()
{

  $q = '
    INSERT INTO '.CONFIG_TABLE.' (param, value, comment)
    VALUES ("mail_superv","off,on,off ,off,off","Parametres du plugin Mail superviseur")
  ;';
  pwg_query($q);


vrif_base();

}



function plugin_uninstall()
{
  global $conf;

  if (isset($conf['mail_superv']))
  {

    $q = '
      DELETE FROM '.CONFIG_TABLE.'
      WHERE param="mail_superv"
    ;';

    pwg_query($q);



  $q = 'DROP TABLE '.MAIL_SUPERV_TABLE.';';
   pwg_query( $q );
   }
  
}


function vrif_base()
{

$q = "
    CREATE TABLE IF NOT EXISTS ".MAIL_SUPERV_TABLE." (
		`id` SMALLINT( 5 ) NOT NULL DEFAULT '0',
		
		`nb_mails` INT NOT NULL DEFAULT '0',
		`date_mail` INT NOT NULL DEFAULT '0',
		`nb_mails_maxi` INT NOT NULL DEFAULT '2000',		
		`nb_mails_periode` TEXT  ,	
		
		`nb_spams` INT NOT NULL DEFAULT '0',
		`date_spam` INT NOT NULL DEFAULT '0',	
		
		`nb_spams_maxi` INT NOT NULL DEFAULT '10',	
		`nb_spams_periode` TEXT  ,	
		
		`quarantaine` TEXT NOT NULL ,
		`date_quarantaine` INT NOT NULL DEFAULT '0',
			
		
		`message` TEXT NOT NULL , 
		`header_text` TEXT NOT NULL , 
      	PRIMARY KEY  (`id` )
   	 )
  ;";
  pwg_query($q);
  
    $nb = Get_colonnes_de(MAIL_SUPERV_TABLE);
	$table=$nb[MAIL_SUPERV_TABLE];	 
//================================================================================	
    if (!in_array( "nb_mails",$table)) {	
		$query = "ALTER TABLE `".MAIL_SUPERV_TABLE."` ADD `nb_mails` INT NOT NULL default '0' ";
			   pwg_query($query);            }  
	if (!in_array( "date_mail",$table)) {	
	  $query = "ALTER TABLE `".MAIL_SUPERV_TABLE."` ADD `date_mail` INT NOT NULL default '0' ";
			   pwg_query($query);            } 
		    
	if (!in_array( "nb_mails_maxi",$table)) {	
	  $query = "ALTER TABLE `".MAIL_SUPERV_TABLE."` ADD `nb_mails_maxi` INT NOT NULL default '2000' ";
			   pwg_query($query);            } 
			   	   		   
    if (!in_array( "nb_spams",$table)) {	
		$query = "ALTER TABLE `".MAIL_SUPERV_TABLE."` ADD `nb_spams` INT NOT NULL default '0' ";
			   pwg_query($query);            }  
	if (!in_array( "date_spam",$table)) {	
	  $query = "ALTER TABLE `".MAIL_SUPERV_TABLE."` ADD `date_spam` INT NOT NULL default '0' ";
			   pwg_query($query);            } 			   
			    
    if (!in_array( "nb_spams_maxi",$table)) {	
		$query = "ALTER TABLE `".MAIL_SUPERV_TABLE."` ADD `nb_spams_maxi` INT NOT NULL default '10' ";
			   pwg_query($query);            }  
			   				
		if (!in_array( "quarantaine",$table)) {	
	  $query = "ALTER TABLE `".MAIL_SUPERV_TABLE."` ADD `quarantaine` TEXT NOT NULL , ";
			   pwg_query($query);            } 	
			   
		if (!in_array( "date_quarantaine",$table)) {	
	  $query = "ALTER TABLE `".MAIL_SUPERV_TABLE."` ADD `date_quarantaine` INT NOT NULL default '0'    ";
			   pwg_query($query);            } 				   
			   	
		if (!in_array( "message",$table)) {	
	  $query = "ALTER TABLE `".MAIL_SUPERV_TABLE."` ADD `message` TEXT   ";
			   pwg_query($query);            } 	
			   
		if (!in_array( "header_text",$table)) {	
	  $query = "ALTER TABLE `".MAIL_SUPERV_TABLE."` ADD `header_text` TEXT   ";
			   pwg_query($query);            } 		
		   			    			   	
		   			    
      $query = "
    		SELECT COUNT(*)
    		FROM ".MAIL_SUPERV_TABLE."
  		;";
//==============================================================================		
  list($count) = mysql_fetch_row(pwg_query($query));
  if ($count == 0)
  {
	 $next_day = time()  ;
	 $date_quarantaine=time();
	   $q = '
    INSERT INTO '.MAIL_SUPERV_TABLE.' (id,
	nb_mails,date_mail,nb_mails_maxi,nb_mails_periode,
	nb_spams,date_spam,nb_spams_maxi,nb_spams_periode,
	 quarantaine, date_quarantaine,message,header_text)
    VALUES (1,
	0,
	'.time().',
	2000,
	"1W",
	
	0,
	'.time().',
	10,
	"2D",
	
	false,
	'.time().',
	
	"Init.",
	 "'.l10n('hello').'"
	 )
 	 ;';


	pwg_query($q);
	
 	} 
}
function Get_colonnes_de($table)
{
  $columns_of = array();
    $query = 'DESC '.$table.';';
    $result = mysql_query($query);
    $columns_of[$table] = array();
    while ($row = mysql_fetch_row($result))
    {
      array_push($columns_of[$table], $row[0]);
    }
  return $columns_of;
}
?>